%define major		0

%define libname		%mklibname lame %{major}
%define develname	%mklibname lame -d

%define expopt		1

Name:		lame
Version:	3.100
Release:	%mkrel 2
Summary:	LAME Ain't an MP3 Encoder
License:	LGPLv2+
Group:		Sound
URL:		http://lame.sourceforge.net
Source:		http://prdownloads.sourceforge.net/lame/%{name}-%{version}.tar.xz
Patch0:     lame-3.100-signed-integer-overflow-fix.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	nasm
Obsoletes: lame-mp3x

%description
Following the great history of GNU naming, LAME originally stood for LAME
Ain't an Mp3 Encoder. LAME started life as a GPL'd patch against the
dist10 ISO demonstration source, and thus was incapable of producing an
mp3 stream or even being compiled by itself. But in May 2000, the last
remnants of the ISO source code were replaced, and now LAME is the source
code for a fully GPL'd MP3 encoder, with speed and quality to rival all
commercial competitors.

LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3.

LAME is not for everyone - it is distributed as source code only and
requires the ability to use a C compiler. However, many popular ripping
and encoding programs include the LAME encoding engine, see: Software
which uses LAME.


%package -n	%{libname}
Summary:	Main library for lame
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	lib64lame0


%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libmp3lame.

%package -n	%{develname}
Summary:	Headers for developing programs that will use libmp3lame
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:  lib64lame0-devel
Obsoletes:  lib64lame0-static-devel

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use libmp3lame.

%prep
%setup -q
%patch0 -p0

ln -s acm ACM
cp -r doc/html .

#clean unneeded files in doc dir
rm -rf html/CVS html/Makefile*
find html -name .cvsignore|xargs rm -f

%build
%if !%{expopt}
export CFLAGS="%(echo %{optflags} |sed s/-O[23]/-O1/)"
%endif
%configure2_5x \
	--disable-static \
	--disable-rpath \
%ifarch %{ix86} x86_64
	--enable-nasm \
%endif
%if %{expopt}
	--enable-expopt \
%endif
	--disable-gtktest

%make_build

%install
%make_install

#clean unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/lame %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/lame
%{_mandir}/man1/lame.1*

%files -n %{libname}
%{_libdir}/libmp3lame.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libmp3lame.so


%changelog
* Sat Aug 29 2020 tex - 3.100-2pclos2020
- rebuild against updates

* Tue Jul 30 2019 tex - 3.100-1pclos2019
- update
